# Generated by Django 4.2.9 on 2024-09-27 18:05

import buzzerboy_saas_tenants.apps.accounts.models
import ckeditor.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('buzzerboy_saas_tenants_apps_localization', '__first__'),
        ('buzzerboy_saas_tenants_apps_tenant', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='UserType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('description', models.CharField(max_length=255)),
                ('has_full_access', models.BooleanField(default=False)),
                ('has_nonstaff_access', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='UserProfile',
            fields=[
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('profile_picture', models.ImageField(blank=True, default='', null=True, upload_to=buzzerboy_saas_tenants.apps.accounts.models.UserProfile.upload_profile_file_name)),
                ('phone_number', models.CharField(blank=True, max_length=25)),
                ('address', models.CharField(blank=True, max_length=255)),
                ('city', models.CharField(blank=True, max_length=255)),
                ('postalcode', models.CharField(blank=True, max_length=7)),
                ('job_title', models.CharField(blank=True, max_length=100)),
                ('company', models.CharField(blank=True, max_length=100)),
                ('website', models.CharField(blank=True, max_length=100)),
                ('linkedin_profile', models.CharField(blank=True, max_length=100)),
                ('github_profile', models.CharField(blank=True, max_length=100)),
                ('notification_preferences', models.JSONField(blank=True, default=buzzerboy_saas_tenants.apps.accounts.models.default_notification_preferences)),
                ('privacy_settings', models.JSONField(blank=True, default=buzzerboy_saas_tenants.apps.accounts.models.default_privacy_settings)),
                ('bio', ckeditor.fields.RichTextField(blank=True)),
                ('interests', ckeditor.fields.RichTextField(blank=True)),
                ('skills', ckeditor.fields.RichTextField(blank=True)),
                ('education', ckeditor.fields.RichTextField(blank=True)),
                ('experience', ckeditor.fields.RichTextField(blank=True)),
                ('user_token', models.TextField(blank=True, null=True)),
                ('status', models.CharField(choices=[('ENABLED', 'Enabled'), ('DISABLED', 'Disabled'), ('INVITED', 'Invited')], default='DISABLED', max_length=100)),
                ('added_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='created_%(class)ss', to=settings.AUTH_USER_MODEL)),
                ('country', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='buzzerboy_saas_tenants_apps_localization.country')),
                ('language', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='buzzerboy_saas_tenants_apps_localization.supportedlanguage')),
                ('last_updated_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='updated_%(class)ss', to=settings.AUTH_USER_MODEL)),
                ('state_province', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='buzzerboy_saas_tenants_apps_localization.stateprovince')),
                ('tenant', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='team', to='buzzerboy_saas_tenants_apps_tenant.tenant')),
                ('timezone', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='buzzerboy_saas_tenants_apps_localization.timezone')),
                ('user_object', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='profile', to=settings.AUTH_USER_MODEL)),
                ('user_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='buzzerboy_saas_tenants_apps_accounts.usertype')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='UserTypeAccess',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('request_path', models.CharField(max_length=255)),
                ('access_key', models.CharField(max_length=20)),
                ('user_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='accesses', to='buzzerboy_saas_tenants_apps_accounts.usertype')),
            ],
            options={
                'unique_together': {('access_key', 'user_type')},
            },
        ),
    ]
