# Generated by Django 4.2.9 on 2024-09-27 18:05

import buzzerboy_saas_tenants.apps.tenant.models
import ckeditor.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('buzzerboy_saas_tenants_apps_localization', '__first__'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ContractStatus',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.CharField(max_length=255)),
                ('desc_prefix', models.CharField(default='<i class="bg-dark"></i>', max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='SubscriptionPlan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(choices=[('BASIC', 'Basic Plan'), ('TEAM', 'Team Plan'), ('ENTERPRISE', 'Enterprise Plan')], default='BASIC', help_text='The subscription plan these features apply to.', max_length=10, unique=True)),
                ('price', models.DecimalField(decimal_places=2, default=0.0, help_text='Price of the plan', max_digits=6)),
                ('description', models.TextField(blank=True, help_text='Description of the subscription plan')),
                ('user_limit', models.IntegerField(default=5, help_text='Number of users allowed')),
                ('department_limit', models.IntegerField(default=5, help_text='Number of departments allowed')),
                ('vulnerability_limit', models.IntegerField(default=5, help_text='Number of vulnerabilities allowed')),
                ('storage_limit', models.IntegerField(default=5, help_text='Storage limit in GB')),
                ('dashboard_access', models.BooleanField(default=False, help_text='Access to dashboard')),
                ('api_access', models.BooleanField(default=False, help_text='Access to API')),
                ('advanced_support', models.BooleanField(default=False, help_text='Access to advanced support')),
            ],
        ),
        migrations.CreateModel(
            name='Tenant',
            fields=[
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('uuid', models.UUIDField(default=uuid.uuid4, unique=True)),
                ('company_name', models.CharField(blank=True, default='*** TENANT NOT SETUP ***', max_length=255, null=True, unique=True)),
                ('subdomain', models.CharField(max_length=25, null=True)),
                ('support_email_address', models.CharField(blank=True, max_length=255)),
                ('company_slogan', models.TextField(default='')),
                ('website', models.CharField(blank=True, max_length=255, null=True, unique=True)),
                ('address', models.CharField(max_length=255, null=True)),
                ('city', models.CharField(max_length=20, null=True)),
                ('postalcode', models.CharField(max_length=10, null=True)),
                ('telephone', models.CharField(blank=True, max_length=20)),
                ('fax', models.CharField(blank=True, max_length=20)),
                ('primary_account_email', models.EmailField(blank=True, max_length=255, null=True, unique=True)),
                ('primary_account_name', models.CharField(blank=True, max_length=255, null=True, unique=True)),
                ('company_logo', models.ImageField(blank=True, default='', null=True, upload_to=buzzerboy_saas_tenants.apps.tenant.models.Tenant.upload_company_logo)),
                ('beta_features_csv', models.TextField(blank=True, null=True)),
                ('user_invite_subject', models.CharField(blank=True, max_length=100, null=True)),
                ('user_invite_template', ckeditor.fields.RichTextField(blank=True, default="Please join our team. Click on the link below to create your account. <br><br><a href='{{invite_url}}'>{{invite_url}}</a>", null=True)),
                ('added_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='created_%(class)ss', to=settings.AUTH_USER_MODEL)),
                ('contract_status', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='buzzerboy_saas_tenants_apps_tenant.contractstatus')),
                ('country', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tenants', to='buzzerboy_saas_tenants_apps_localization.country')),
                ('last_updated_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='updated_%(class)ss', to=settings.AUTH_USER_MODEL)),
                ('state_province', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tenants', to='buzzerboy_saas_tenants_apps_localization.stateprovince')),
                ('subscription_plan', models.ForeignKey(blank=True, default=1, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tenants', to='buzzerboy_saas_tenants_apps_tenant.subscriptionplan')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TenantLanguages',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('company_name', models.CharField(default='', max_length=255)),
                ('company_slogan', models.TextField(default='')),
                ('language', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tenants', to='buzzerboy_saas_tenants_apps_localization.supportedlanguage')),
                ('tenant', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tenant_languages', to='buzzerboy_saas_tenants_apps_tenant.tenant')),
            ],
        ),
    ]
