# Generated by Django 4.2.9 on 2024-09-27 18:06

import buzzerboy_saas_tenants.apps.tenant_settings.models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('buzzerboy_saas_tenants_apps_accounts', '0001_initial'),
        ('buzzerboy_saas_tenants_apps_tenant', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('buzzerboy_saas_tenants_apps_localization', '__first__'),
    ]

    operations = [
        migrations.CreateModel(
            name='SupportCase',
            fields=[
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('request_type', models.CharField(choices=[('bug', 'Bug Report'), ('feature', 'Feature Request'), ('support', 'Support Inquiry')], max_length=20)),
                ('summary', models.CharField(max_length=255)),
                ('detailed_description', models.TextField()),
                ('status', models.CharField(choices=[('pending', 'Pending'), ('resolved', 'Resolved'), ('in_progress', 'In Progress')], default='pending', max_length=20)),
                ('added_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='created_%(class)ss', to=settings.AUTH_USER_MODEL)),
                ('last_updated_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='updated_%(class)ss', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SupportCaseResponse',
            fields=[
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('message', models.TextField()),
                ('attachment', models.FileField(blank=True, null=True, upload_to=buzzerboy_saas_tenants.apps.tenant_settings.models.SupportCaseResponse.upload_support_case_attachments)),
                ('added_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='created_%(class)ss', to=settings.AUTH_USER_MODEL)),
                ('case', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='buzzerboy_saas_tenants_apps_tenant_settings.supportcase')),
                ('last_updated_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='updated_%(class)ss', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='BillingDetails',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('billing_contact_name', models.CharField(max_length=50, null=True)),
                ('billing_contact_address', models.CharField(max_length=50, null=True)),
                ('billing_contact_city', models.CharField(max_length=50, null=True)),
                ('billing_contact_postalcode', models.CharField(max_length=50, null=True)),
                ('billing_contact_email', models.EmailField(max_length=255, null=True)),
                ('billing_contact_telephone', models.CharField(max_length=20, null=True)),
                ('billing_contact_country', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tenant_billing_country', to='buzzerboy_saas_tenants_apps_localization.country')),
                ('billing_contact_state_province', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tenant_billing_state', to='buzzerboy_saas_tenants_apps_localization.stateprovince')),
                ('tenant', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='tenant_billing', to='buzzerboy_saas_tenants_apps_tenant.tenant')),
            ],
        ),
        migrations.CreateModel(
            name='AuditLog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('activity', models.CharField(max_length=255, null=True)),
                ('module', models.CharField(max_length=255, null=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('details', models.JSONField(blank=True, null=True)),
                ('performed_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='tenant_activity_performed_by', to='buzzerboy_saas_tenants_apps_accounts.userprofile')),
                ('tenant', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='tenant_audit_logs', to='buzzerboy_saas_tenants_apps_tenant.tenant')),
            ],
        ),
    ]
