from setuptools import setup, find_packages

setup(
    name='buzzerboy-saas-tenants',
    version='0.1.5',
    packages=find_packages(),
    include_package_data=True,
    license='MIT License',
    description='A reusable Django package containing multiple apps',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',  # Specify the format of README
    url='https://your-package-repo-url',
    author='Buzzerboy Inc.',
    author_email='dev@buzzerboy.com',
    classifiers=[
        'Environment :: Web Environment',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.8',
        'Topic :: Internet :: WWW/HTTP',
    ],
    install_requires=[
        'django==4.2.9',
        'django-allauth==0.60.1',
        'PyJWT==2.8.0',
        'python-dotenv==1.0.1',
        'str2bool==1.1',
        'django-quill-editor==0.1.40',
        'django-ckeditor==6.7.1',
        'django-ckeditor-5==0.2.13',
        'jinja2',
        'django-htmx==1.19.0',
        'django-js-asset==2.2.0',
        'celery==5.3.4',
        'redis==5.0.1',
        'hiredis==2.2.3',
        'pillow==10.4.0',
        'django-seed==0.3.1',
        'django-celery-results==2.5.1',
        'djangorestframework==3.14.0',
        'django-api-generator==1.0.17',
        'django-debug-toolbar==4.2.0',  # Fixed trailing comma
        'drf-spectacular==0.26.5',
        'whitenoise==6.5.0',
        'gunicorn==21.2.0',
        'cryptography==43.0.1',
        'psycopg2-binary==2.9.9',  # Added specific version for psycopg2-binary
        'python-decouple==3.8',
        'pandas==2.2.0',
        'boto3',
        'botocore',
        'asgiref==3.8.1',
        'Faker==28.0.0',
        'greenlet==3.0.3',
        'Jinja2==3.1.4',
        'MarkupSafe==2.1.5',
        'python-dateutil==2.9.0.post0',
        'six==1.16.0',
        'sqlparse==0.5.1',
        'toposort==1.10',
        'python-gettext',
    ],
)
